%define module_version 0.08
%define module_name XML-LibXML-jQuery
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Exporter.pm) perl(FindBin.pm) perl(HTML/Selector/XPath.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Mojo/DOM.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Web/Query/LibXML.pm) perl(XML/LibXML.pm) perl(jQuery.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Fast, jQuery-like DOM manipulation over XML::LibXML
Group: Development/Perl
License: perl
URL: https://github.com/cafe01/xml-libxml-jquery

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAFEGRATZ/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
XML::LibXML::jQuery is a jQuery-like DOM manipulation module build on top of
the XML::LibXML manpage for speed. The goal is to be as fast as possible, and as compatible
as possible with the javascript version of jQuery. Unlike similar modules,
web fetching functionality like `-'append($url)> was intentionally not implemented.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/X*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

